# install_packages.R

# pages 143-150

# Library's and How they Install in R
## 1. Base libraries -> these are installed with the V.R.M of r 4.2.2(release). You get these all the time in all scripts
### updates are done thru r (3.5.3->4.2.2)
### you do not have to call the library to use
## 2. packages -> 3rd party "libraries" that you have in install using the install() "do diligence" install
### updates are done thru update() function
### you must "load" the package to your code "import" using the library()
## 3. your custom packages -> your custom code locally in your program
### updates are done by programmer
### same as #2 library()

# install a package
install.packages("ggplot2")

# load a package for use
library(ggplot2)

# update a package
update.packages()

## reminder -> r is case sensitive. There will be packages that use title, lower, upper case types
## Math MATH and math are 3 difference packages

# EOF install_packages.R